%define	upstream_name	 Pod-Strip
%define upstream_version 1.100

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Remove POD from Perl code 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Pod::Simple)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildArch:  noarch

%description
Pod::Strip is a subclass of Pod::Simple that strips all POD from Perl Code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc Changes INSTALL LICENSE META.json MYMETA.yml
%{perl_vendorlib}/Pod
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.100.0-2.mga9
+ Revision: 1814019
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.100.0-1.mga9
+ Revision: 1690359
- update to 1.100

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-9.mga8
+ Revision: 1496735
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-8.mga7
+ Revision: 1270656
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1032330
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 936230
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 749744
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 686023
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 514205
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 372014
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 34187
- mageia rebuild
- imported package perl-Pod-Strip


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 404296
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.02-7mdv2009.0
+ Revision: 258268
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.02-6mdv2009.0
+ Revision: 246320
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.02-4mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-4mdv2008.0
+ Revision: 90069
- rebuild


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-3mdv2007.0
+ Revision: 88326
- force requires on Pod::Simple

* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-2mdv2007.1
+ Revision: 87874
- fix buildrequires
- Import perl-Pod-Strip

* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2007.1
- first mdv release

